Fork me on GitHub"

# skbio.util.TestRunner

class `skbio.util.``TestRunner`(filename)

  Simple wrapper class around nosetests functionality.

  Parameters:

  filename : str

  > __file__ attribute passed in from the caller. This tells the tester where to start looking for tests.

  Notes

  The primary purpose of this class is to create an interface which users of scikit-bio can use to run all of the built in tests. Normally this would be done by invoking nosetests directly from the command line, but scikit-bio needs several additional options which make the command long and ugly. This class invokes nose with the required options.

  Methods

  `test`([verbose]) | Performs the actual running of the tests.